.button-outlined {
  height: 64px;
  display: inline-flex;
  align-items: center;
  padding: 6px 24px;
  border: 1px solid var(--text-color-black);
  color: var(--text-color-black);
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 1px;
  text-transform: uppercase;
  text-align: center;
  justify-content: center;
  background-color: transparent;
  cursor: pointer;
  transition: all 0.3s;
  gap: 12px;
}
.button-outlined.inverse {
  color: var(--text-color-white);
  border-color: var(--text-color-white);
}
  
.button-outlined svg {
  fill: var(--text-color-black);
  transition: all 0.3s;
}

.button-contained {
  transition: all 0.3s;
  cursor: pointer;
  height: 64px;
  display: inline-flex;
  align-items: center;
  padding: 6px 24px;
  background-color: var(--text-color-black);
  border: 1px solid var(--text-color-black);
  color: var(--text-color-white);
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 1px;
  text-transform: uppercase;
  text-align: center;
  justify-content: center;
}
.button-contained.inverse {
  color: var(--text-color-black);
  background-color: var(--text-color-white);
}

.button-text {
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0.7px;
  text-transform: uppercase;
  color: var(--text-color-black);
  border-bottom: 1px solid var(--text-color-black);
  padding-bottom: 2px;
  display: inline-flex;
  gap: 8px;
  color: #15161a;
}
.button-text img {
  width: 24px;
  height: 24px;
}

.button-text.sm {
  font-size: 14px;
  gap: 4px;
}
.button-text.sm img {
  width: 20px;
  height: 20px;
}

.select-wrap {
  position: relative;
}

select.custom-select {
  width: 100%;
  padding: 12px 55px 12px 14px; /* справа місце під стрілку */

  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;

  box-shadow: var(--select-shadow);
  transition:
    border-color 0.2s ease,
    box-shadow 0.2s ease;
  cursor: pointer;
  border: 1px solid #d9d9d9;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}

.select-wrap label {
  display: flex;
  width: 100%;
  position: relative;
}

.select-wrap label:before {
    background-image: url("./img/icons/caret-down-black.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 18px;
  position: absolute;
  width: 18px;
  height: 18px;
  right: 14px;
  top: 50%;
  transform: translateY(-50%);
  content: "";
  z-index: 2;
}

select.custom-select:hover {
  border-color: #cbd5e1;
}

select.custom-select:focus {
  outline: none;
  border-color: var(--select-focus);
  box-shadow: 0 0 0 3px rgba(59, 130, 246, 0.1);
}

select.custom-select:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

.custom-select-popover {
  position: relative;
  display: inline-block;
  width: 100%;
}

/* Toggle button */
.custom-popover-select__toggle {
  transition:
    border-color 0.2s ease,
    box-shadow 0.2s ease;
  cursor: pointer;
  border: 1px solid #d9d9d9;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
  height: 40px;
  width: 100%;
  padding: 12px 55px 12px 14px;
  display: flex;
  align-items: center;
  background-color: transparent;
}
.custom-popover-select .custom-popover-select__icon {
    /* background-image: url("./img/icons/caret-down-black.svg");
  background-repeat: no-repeat;
    background-position: center; */
  background-size: 18px;
  position: absolute;
  width: 18px;
  height: 18px;
  right: 14px;
  top: 50%;
  transform: translateY(-50%);
    /* content: ""; */
  z-index: 2;
}
/* Icon rotation when open */
.custom-popover-select.open .custom-popover-select__icon {
  transform: translateY(-50%) rotate(180deg);
}

/* Dropdown */
.custom-popover-select__dropdown {
  display: none;
  position: absolute;
  top: calc(100% + 0px);
  left: 0;
  width: 100%;
  background: #fff;
  border: 1px solid #15161a;

  z-index: 30;
}

/* Visible state */
.custom-popover-select.open .custom-popover-select__dropdown {
  display: block;
}

/* Tabs */
.custom-popover-tabs {
  display: flex;
  border-bottom: 1px solid #15161a;
  gap: 4px;
}

.custom-popover-tab {
  flex: auto;
  padding: 9px 8px;
  font-size: 13px;
  cursor: pointer;
  background: #fff;
  border: none;
  font-weight: 400;
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
}

.custom-popover-tab.active {
  background: var(--text-color-black);
  color: #fff;
}

/* Content panels */
.custom-popover-content {
  display: none;
  max-height: 320px;
  overflow-y: auto;
}

.custom-popover-content.active {
  display: block;
}

/* Rows */
.custom-popover-row {
  padding: 8px 16px;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  font-weight: 300;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0.6px;
  color: var(--text-color-black);
}
.custom-popover-row span:first-of-type {
  font-weight: 400;
}
.custom-popover-row:not(:last-of-type) {
  border-bottom: 1px solid #d9d9d9;
}

.custom-popover-row:hover {
  background: #f5f5f5;
}

.custom-popover-row.selected {
  background: #e7e7e7;
  font-weight: 600;
}

.field-input,
.field-textarea {
  width: 100%;
  border: 1px solid #d9d9d9;
  padding: 12px 16px;
  font-size: 16px;
  min-height: 64px;
  transition: all 0.3s;
}
.field-textarea:focus,
.field-input:focus {
  border-color: var(--text-color-black);
}

.field-textarea::placeholder,
.field-input::placeholder {
  color: rgba(21, 22, 26, 0.5);
}

.field-textarea {
  min-height: 128px;
  resize: none;
}

.upload-area {
  border: 1px dashed #ccc;
  padding: 20px;
  cursor: pointer;
  border-radius: 4px;
}

.upload-area input {
  display: none;
}

.upload-area__text {
  font-size: 13px;
}

.upload-trigger {
  text-decoration: underline;
  cursor: pointer;
}
.upload-area {
  border: 1px dashed #d9d9d9;
  padding: 12px;
  cursor: pointer;
  text-align: left;
}

.upload-area.dragover {
  background: #f8f8f8;
  border-color: var(--text-color-black);
}

.upload-preview {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.upload-preview .preview-item {
  width: 90px;
  height: 90px;
  position: relative;
  border-radius: 6px;
  overflow: hidden;
}

.preview-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.preview-remove {
  position: absolute;
  top: 5px;
  right: 5px;
  background: #000;
  color: #fff;
  width: 18px;
  height: 18px;
  font-size: 12px;
  border-radius: 50%;
  line-height: 18px;
  text-align: center;
  cursor: pointer;
}
.upload-error,
.form-errors {
  color: red;
  display: none;
  text-align: left;
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
}

.review-stars {
  display: flex;
  align-items: center;
  gap: 8px;
}

.review-stars span {
  cursor: pointer;
  width: 40px;
  height: 40px;
  background: url(../img/icons/star.svg) center no-repeat;
  background-size: contain;
  display: block;
}

.review-stars span.active {
  background: url(../img/icons/star-active.svg) center no-repeat;
  background-size: contain;
}

.upload-area__inner {
  display: flex;
  align-items: flex-start;
  gap: 12px;
}
.upload-area__inner .image {
  width: 56px;
  height: 56px;
  border-width: 1px;
  border: 1px solid #d9d9d9;
  background-color: #f6f7f9;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 56px;
}
.upload-area__inner .image img {
  width: 24px;
}
.upload-area__description,
.upload-area__title {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}
.upload-area__description {
  font-weight: 300;
}

.radio-box {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  font-size: 16px;
  line-height: 1;
  color: #fff; /* білий текст як у дизайні */
  user-select: none;
  position: relative;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}

/* Приховуємо дефолтне radio */
.radio-box input[type="radio"] {
  appearance: none;
  -webkit-appearance: none;
  position: absolute;
  left: -9999px;
}

/* Коло */
.radio-mark {
  width: 16px;
  height: 16px;
  border: 1px solid var(--text-color-black);
  border-radius: 50%;
  display: inline-block;
  position: relative;
  transition: border-color 0.2s ease;
}

/* Внутрішня крапка */
.radio-mark::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 12px;
  background: var(--text-color-black);
  border-radius: 50%;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.2s ease;
}

.radio-box input[type="radio"]:checked + .radio-mark::after {
  transform: translate(-50%, -50%) scale(1);
}

.checkbox {
  display: flex;
  align-items: center;
  gap: 12px;
  cursor: pointer;
  user-select: none;
  position: relative;
}
.checkbox span {
  color: #69737c;
}
/* Приховуємо дефолтне radio */
.checkbox input[type="checkbox"] {
  appearance: none;
  -webkit-appearance: none;
  position: absolute;
  left: -9999px;
}

/* Коло */
.checkbox-mark {
  width: 24px;
  min-width: 24px;
  height: 24px;
  border: 1px solid #b8bcbd;

  display: inline-block;
  position: relative;
  transition: border-color 0.2s ease;
}
.checkbox-text {
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}
/* Внутрішня крапка */
.checkbox-mark::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 12px;
  background: var(--text-color-black);
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.2s ease;
}

.checkbox input[type="checkbox"]:checked + .checkbox-mark::after {
  transform: translate(-50%, -50%) scale(1);
}

.range-track.noUi-target {
  height: 2px;
  background-color: #d9d9d9;
  border: 0;
}
.range-track .noUi-connect {
  background-color: var(--text-color-black);
}
.range-track .noUi-origin {
}
.range-track.noUi-horizontal .noUi-handle {
  width: 16px;
  height: 16px;
  right: -8px;
  top: -6px;
  border-radius: 50%;
  border: 0;
  background: #15161a;
  box-shadow: none;
}
.range-track .noUi-handle:after,
.range-track .noUi-handle:before {
  content: none;
}

@media (min-width: 1024px) {
  .button-contained.inverse:hover {
    color: var(--text-color-white);
    background-color: #69737c;
    border-color: #69737c;
  }
  .button-contained:hover {
    background-color: #fff;
    color: var(--text-color-black);
  }
  .button-text:hover {
    border-color: transparent;
  }
  .button-outlined:hover {
    background-color: var(--text-color-black);
    color: #fff;
  }
  .button-outlined:hover svg {
    fill: #fff;
  }
}
